ffmpeg安装及测试

在安装opencv的时候看到相关依赖有ffmpeg,所以先行安装ffmpeg.

一.下载源码:(参考资料:http://ffmpeg.org/download.html)

git clone https://git.ffmpeg.org/ffmpeg.git ffmpeg

二.安装(参考资料:参考1参考2参考3

 

./configure --enable-shared --prefix=/usr/local/ffmpeg --enable-gpl --extra-libs=-ldl --bindir=/usr/local/bin --extra-ldflags=-L/usr/local/ffmpeg/lib --extra-cflags=-I/usr/local/ffmpeg/include --enable-postproc

make -j4

make install

 


三.配置

export PKG_CONFIG_PATH=/usr/local/ffmpeg/lib/pkgconfig:$PKG_CONFIG_PATHexport LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATHexport PATH=/usr/local/ffmpeg/bin/:$PATH

四.检测

五.解决报错问题:


打开ld.so.conf文件添加路径

vim /etc/ld.so.conf

添加:

include ld.so.conf.d/*.conf

/usr/local/ffmpeg/lib/
/usr/local/lib/
/opt/ffmpeg/libpostproc/
/opt/ffmpeg/libavdevice/
/opt/ffmpeg/libavutil/
/opt/ffmpeg/libavcodec/
/opt/ffmpeg/libavformat/
/opt/ffmpeg/libavfilter/
/opt/ffmpeg/libswscale/
/opt/ffmpeg/libswresample/


刷新:

ldconfig

ffmpeg -version


成功!!

测试ffmpeg例子:

ffmpeg -i demo.avi -b:v 640k op.ts     (demo.avi是自己下载的一个avi格式的视频提前放在ffmpeg目录下,op.ts是输出生成的结果)


六.小问题忽略处:查询版本时用了

ffmpeg --version

然后会报错:

Unrecognized option '-version'.

Error splitting the argument list: Option not found


报错原因:通过ffmpeg -h 查询发现 ffmpeg查询版本命令错误,多了一个横线,改为ffmpeg -version就好了。

 

 

 

阅读更多
换一批

没有更多推荐了,返回首页